Project

General

Profile

Tâche #11223

Scénario #10788: Qualification de la migration de la version 2.3 vers 2.4

Migration module non gérée par le zéphir

Added by Alain Guichard over 7 years ago. Updated over 7 years ago.

Status:
Reporté
Priority:
Normal
Assigned To:
Start date:
02/16/2015
Due date:
% Done:

0%

Remaining (hours):
0.0

Description

Pour eSBL et eCDL, à la fin de la migration en 2.4.1 (réussie), message d'erreur:
"Erreur lors de la migration dans l'application Zéphir: la migration vers le module demandé n'est pas gérée"
Voir eCDL #10790 et eSBL #10791


Related issues

Copied to Distribution EOLE - Tâche #11258: Migration module non gérée par le zéphir Fermé 02/16/2015

History

#1 Updated by Alain Guichard over 7 years ago

  • Distribution changed from EOLE 2.5 to EOLE 2.4

#2 Updated by Alain Guichard over 7 years ago

  • Description updated (diff)

#3 Updated by Alain Guichard over 7 years ago

  • Description updated (diff)

#4 Updated by Alain Guichard over 7 years ago

  • Subject changed from La migration vers le module demandé n'est pas gérée to Migration module non gérée par le zéphir

#5 Updated by Alain Guichard over 7 years ago

  • Description updated (diff)

#6 Updated by Emmanuel IHRY over 7 years ago

  • Assigned To set to Joël Cuissinat

#7 Updated by Joël Cuissinat over 7 years ago

Dans zephir/config.py, on trouve :

# détails des distributions gérées (nom_de_code, version_eole, maintenue)
DISTRIBS = {1:("Mdk 9.X", "1.X", False),
            2:("feisty", "2.0", False),
            3:("gutsy", "2.1", False),
            4:("hardy", "2.2", False),
            5:("lucid", "2.3", True),
            6:("precise", "2.4", True),
            7:("precise", "2.4.1", True)}

[ ... ]

# liste des modules autorisés à migrer de plus d'une version
allowed_upgrades = {'horus':{2:[4], 4:[6,7], 5:[7]},
                    'scribe':{2:[4], 4:[6,7], 5:[7]},
                    'amon':{2:[4], 4:[6,7], 5:[7]},
                    'sphynx':{4:[6,7], 5:[7]},
                    'eolebase':{4:[6,7], 5:[7]},
                    'amonecole':{4:[7], 5:[7]},
                   }

# définition des migrations entre modules (adaptation de configuration nécessaire)
allowed_migrations = {1:[2,3,4], 4:[5,6,7], 5:[6,7]}

Visiblement il manque l'autorisation 5 (2.3) vers 7 (2.4.1) pour eCDL et eSBL !

#8 Updated by Thierry Bertrand over 7 years ago

  • Status changed from Nouveau to Reporté
  • Remaining (hours) set to 0.0

Also available in: Atom PDF